Module jdk.compiler
Package com.sun.source.doctree

# Interface SnippetTree

All Superinterfaces:
  `DocTree`, `InlineTagTree`

public interface SnippetTree extends InlineTagTree
A tree node for an `@snippet` inline tag.

        {@snippet :
         body
        }

        {@snippet attributes}

        {@snippet attributes :
         body
        }

Since:
  18

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getAttributes()`
Returns the list of the attributes of the `@snippet` tag.
`TextTree`
`getBody()`
Returns the body of the `@snippet` tag, or `null` if there is no body.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

### Methods declared in interface com.sun.source.doctree.InlineTagTree

`getTagName`

## Method Details

### getAttributes

List<? extends DocTree> getAttributes()
Returns the list of the attributes of the `@snippet` tag.

Returns:
  the list of the attributes

### getBody

TextTree getBody()
Returns the body of the `@snippet` tag, or `null` if there is no body.

API Note:
  An instance of `SnippetTree` with an empty body differs from an instance of `SnippetTree` with no body. If a tag has no body, then calling this method returns `null`. If a tag has an empty body, then this method returns a `TextTree` whose `TextTree.getBody()` returns an empty string.
Returns:
  the body of the tag, or `null` if there is no body